Dashboard
32 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAllNetworkActivity | GET | Get grid dashboard open network activity statistic list |
| getCardTopology | GET | Get network overview |
| getChannels | GET | Get channel distribution and usage |
| getGatewayIspLoad | GET | Get site dashboard isp load inform |
| getIspLoad | GET | Get isp load info |
| getGridDashboardIpsecTunnelStats | GET | Get grid dashboard lpsec tunnel statistic list |
| getActiveAps | GET | Get the most active eap list |
| getActiveSwitches | GET | Get most active switch list |
| batchConfigTab | PATCH | Batch set tab config |
| getGridDashboardOpenVpnTunnelStats | GET | Get grid dashboard open vpn tunnel statistic list |
| getOverview | GET | Get site overview diagram info |
| getPoeUsage | GET | Get poe usage |
| getRetryAndDroppedRate | GET | Get retried rate and dropped rate |
| getSwitchSummary | GET | Get switch summary |
| listAllTabs | GET | Get tab list |
| createTab | POST | Create new tab |
| removeTab | DELETE | Delete an existing tab |
| updateTab | PATCH | Modify an existing tab |
| getTop5Aps | GET | Get Top 5 Aps |
| getTopCpuUsageWithTimeRange | GET | Get top device cpu usage |
| getTopMemoryUsageWithTimeRange | GET | Get top device memory usage |
| getInterference | GET | Get top interference |
| getTrafficActivities | GET | Get traffic activity |
| getTrafficDistribution | GET | Get traffic distribution |
| getGridDashboardTunnelStats | GET | Get grid dashboard tunnel statistic list |
| getWifiSummary | GET | Get wifi summary |
| listTabs | GET | Get tab without overall tab list |
| startSpeedTestV2 | POST | Start Speed Test |
| getSpeedTestV2Result | GET | Get Speed Test Result |
| getSpeedTestV2ResultDateList | POST | Get date list of speed test results |
| configBandwidthForWanPorts | POST | Set site dashboard wan bandwidth |
| getActiveApsV2 | GET | Get the most active eap list |
getAllNetworkActivity
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/allNetworkActivity
Get grid dashboard open network activity statistic list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getAllNetworkActivity",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
The interface requires one of the permissions:
Site Dashboard Manager View Only
getCardTopology
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/card/overview
Get network overview
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getCardTopology",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the statistic info of devices.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getChannels
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/channels
Get channel distribution and usage
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getChannels",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get channel distribution and usage.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getGatewayIspLoad
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/gateway/isp/load
Get site dashboard isp load inform
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGatewayIspLoad",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site dashboard isp load inform of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getIspLoad
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/isp-load
Get isp load info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getIspLoad",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain IPS load data for the gateway within the time range.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getGridDashboardIpsecTunnelStats
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/lpset-tunnel-stats
Get grid dashboard lpsec tunnel statistic list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGridDashboardIpsecTunnelStats",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the status, IP address, and other information of the established IPsec VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only
getActiveAps
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/most-active-eaps
Get the most active eap list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getActiveAps",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain the top 5 APs with the highest device traffic within the time range (in Bytes)..
The interface requires one of the permissions:
Site Dashboard Manager View Only
getActiveSwitches
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/most-active-switches
Get most active switch list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getActiveSwitches",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain the top 5 switches with the highest device traffic within the time range (in Bytes)
The interface requires one of the permissions:
Site Dashboard Manager View Only
batchConfigTab
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dashboard/multi-tabs/config
Batch set tab config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchEditTabs
| Field | Type | Required | Description |
|---|---|---|---|
tabs | array<BatchUpdateTab> | no | Edit Tab Parameters |
// omada_call_operation
{
"operationId": "batchConfigTab",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch set tab configurations, add or delete tabs.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34701 - This tab does not exist in the dashboard.
-34702 - This tab name already exists.
-34704 - Non-overall tabs do not allow editing system cards.
getGridDashboardOpenVpnTunnelStats
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/open-vpn-tunnel-stats
Get grid dashboard open vpn tunnel statistic list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | query | integer | yes | type: 0:Server, 1:Client |
// omada_call_operation
{
"operationId": "getGridDashboardOpenVpnTunnelStats",
"params": {
"siteId": "<siteId>",
"type": "<type>"
}
}Details, permissions and error codes
Obtain the status, traffic, and other information of the established open VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only
getOverview
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/overview-diagram
Get site overview diagram info
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getOverview",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site overview diagram info.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getPoeUsage
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/poe-usage
Get poe usage
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getPoeUsage",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the PoE usage of the switch within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getRetryAndDroppedRate
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/retry-dropped-rate
Get retried rate and dropped rate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getRetryAndDroppedRate",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get retried rate and dropped rate.
The interface requires one of the permissions:
Site Dashboard Manager View Only
getSwitchSummary
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/switch-summary
Get switch summary
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getSwitchSummary",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get switch summary
The interface requires one of the permissions:
Site Dashboard Manager View Only
listAllTabs
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs
Get tab list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "listAllTabs",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get tab list.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
createTab
POST /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs
Create new tab
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema CreateTabOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Names on this Dashboard page must be unique. It should contain 1 to 64 characters. |
// omada_call_operation
{
"operationId": "createTab",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34702 - This tab name already exists.
-34703 - The number of tabs has reached the limit.
removeTab
DELETE /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs/{tabId}
Delete an existing tab
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tabId | path | string | yes | Tab ID |
// omada_call_operation
{
"operationId": "removeTab",
"params": {
"siteId": "<siteId>",
"tabId": "<tabId>"
}
}Details, permissions and error codes
Delete an existing tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34705 - Overall tab not allowed to be deleted.
updateTab
PATCH /openapi/v1/{omadacId}/sites/{siteId}/dashboard/tabs/{tabId}
Modify an existing tab
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
tabId | path | string | yes | Tab ID |
Request body — application/json (required) — schema UpdateTabOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Name on this Dashboard page must be unique, it should contain 1 to 64 characters. |
reset | boolean | no | True: reset Default TAB (custom TAB cannot be reset). |
// omada_call_operation
{
"operationId": "updateTab",
"params": {
"siteId": "<siteId>",
"tabId": "<tabId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing tab.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
-34701 - This tab does not exist in the dashboard.
-34702 - This tab name already exists.
-34704 - Non-overall tabs do not allow editing system cards.
getTop5Aps
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-aps
Get Top 5 Aps
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getTop5Aps",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get Top 5 Aps.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getTopCpuUsageWithTimeRange
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-device-cpu-usage
Get top device cpu usage
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getTopCpuUsageWithTimeRange",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain the top 5 CPU usage devices within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getTopMemoryUsageWithTimeRange
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-device-memory-usage
Get top device memory usage
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getTopMemoryUsageWithTimeRange",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain the top 5 memory usage devices within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getInterference
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/top-interference
Get top interference
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getInterference",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the 5 APs with the highest interference intensity in different frequency bands within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getTrafficActivities
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/traffic-activities
Get traffic activity
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getTrafficActivities",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain AP and Switch traffic Activities within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getTrafficDistribution
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/traffic-distribution
Get traffic distribution
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getTrafficDistribution",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain wired/wireless traffic distribution data within the time range
The interface requires one of the permissions:
Site Dashboard Manager View Only
getGridDashboardTunnelStats
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/vpn-tunnel-stats
Get grid dashboard tunnel statistic list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
type | query | integer | yes | Type should be a value as follows: 0:Server,1:Client |
// omada_call_operation
{
"operationId": "getGridDashboardTunnelStats",
"params": {
"siteId": "<siteId>",
"type": "<type>"
}
}Details, permissions and error codes
Get the status, IP address, and other information of the established dashboard tunnel statistic VPN connection
The interface requires one of the permissions:
Site Dashboard Manager View Only
getWifiSummary
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/wifi-summary
Get wifi summary
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getWifiSummary",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get wifi summary.
The interface requires one of the permissions:
Site Dashboard Manager View Only
listTabs
GET /openapi/v1/{omadacId}/sites/{siteId}/dashboard/without-overall-tabs
Get tab without overall tab list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "listTabs",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get tabs without Overall Tab.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34700 - The dashboard page does not exist in current site.
startSpeedTestV2
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTest
Start Speed Test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OpenApiSpeedTestSelectPortsVO
| Field | Type | Required | Description |
|---|---|---|---|
portUuidList | array<string> | no | The uuid of selected wan ports for speed test. |
virtualWanIdList | array<string> | no | The id of selected virtual wan ports for speed test. |
// omada_call_operation
{
"operationId": "startSpeedTestV2",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Start Speed Test.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getSpeedTestV2Result
GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTestResult
Get Speed Test Result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getSpeedTestV2Result",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
}
}Details, permissions and error codes
Get Speed Test Result.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getSpeedTestV2ResultDateList
POST /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/speedTestResult/dateList
Get date list of speed test results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
gatewayMac | path | string | yes | Gateway MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema OpenApiQuerySpeedTestDateListVO
| Field | Type | Required | Description |
|---|---|---|---|
portUuid | string | no | Port Uuid. Only one of the parameters portUuid and virtualWanId can exist |
virtualWanId | string | no | Virtual Wan Id. Only one of the parameters portUuid and virtualWanId can exist |
currentPage | integer | yes | Start from 1. |
currentPageSize | integer | yes | It should be within the range of 1–100. |
// omada_call_operation
{
"operationId": "getSpeedTestV2ResultDateList",
"params": {
"siteId": "<siteId>",
"gatewayMac": "<gatewayMac>"
},
"body": "{...}"
}Details, permissions and error codes
Get date list of speed test results.
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
configBandwidthForWanPorts
POST /openapi/v1/{omadacId}/sites/{siteId}/wan/bandwidth
Set site dashboard wan bandwidth
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema WanPortBandwidthVO
| Field | Type | Required | Description |
|---|---|---|---|
bandwidths | array<PortBandwidthVO> | no | Set port bandwidth info list. |
// omada_call_operation
{
"operationId": "configBandwidthForWanPorts",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Set site dashboard wan bandwidth of the site with the given omadacId and siteId.
The interface requires one of the permissions:
Site Dashboard Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getActiveApsV2
GET /openapi/v2/{omadacId}/sites/{siteId}/dashboard/most-active-eaps
Get the most active eap list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceNum | query | integer | yes | The number of most active APs acquired. |
start | query | integer | yes | Start timestamp, in seconds, such as 1682000000 |
end | query | integer | yes | End timestamp, in seconds, such as 1682000000 |
// omada_call_operation
{
"operationId": "getActiveApsV2",
"params": {
"siteId": "<siteId>",
"deviceNum": "<deviceNum>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Obtain the top 5 APs with the highest device traffic within the time range (in Bytes)..
The interface requires one of the permissions:
Site Dashboard Manager View Only